const baseOpts = {
    qrCodeBaseUrl: "https://map.abuzz.tech/amap/map.php?site=campbell_",
    siteBaseUrl: "/",
    mediaBaseUrl: "/cache",
    labelFontUrl: "assets/fonts/Circular_Pro_Book.json",
    amapBaseUrl: "/app/amap/",

    defaultViewsByNodeId: {
        "_37286_24068_-724": { camera: [39110, 27746, 125362], scene: [39130, 29348, 2939] }, // Default
		
		"_13078_25916_-724": { camera: [39200, 26468, 125349], scene: [39170, 24064, 2939] }, // DIR_G01_Pin43_TT
		"_13078_25486_-724": { camera: [40162, 29726, 125372], scene: [40162, 29726, 2939] }, // DIR_G02_Pin43_TT
		"_37576_23364_-724": { camera: [39200, 26468, 125349], scene: [39170, 24064, 2939] }, // DIR_G03_Pin43_TB
		"_41310_7082_-724": { camera: [42777, 29190, 138596], scene: [43665, 29191, 2939] }, // DIR_G04_Pin43_TB
        "_68346_9621_-724": { camera: [39200, 26468, 125349], scene: [39170, 24064, 2939] }, // DIR_G05_Pin43_TT
        "_68346_9129_-724": { camera: [40162, 29726, 125372], scene: [40162, 29726, 2939] } // DIR_G06_Pin43_TT


		},
		
    startNodeModel: {
        file: "app/assets/YOUAREHERE.obj",
        scale: [8, 8, 10],
        animate: false,
        animRotation: [0, 0, 5],
        neutralRotation: true
    },

    // poiPinPointModel: {
    //     file: "app/assets/XXXX.obj",
    //     scale: [2, 2, 2],
    //     neutralRotation: true
    // },

    // ssTopBanner: {
    //     link: "/../app/assets/images/ss-top-banner.png",
    //     type: "IMAGE"
    // },

    insideAreaDelta: 300,
    useFlyAnimation: false,
    pathAutoAnimate: true,
    pathAutoAnimateDelay: 0, // secs
    pathDirToPartAnimDelay: 1, // secs
    controlsRotate: true,
    controlsPan: true,
    controlsZoom: true,
    labelsHorizontal: false,

    zoneButtonUseLongName: false,
	multiFloorTransition: false,
    multiFloorTransitionInclineAngle: 75,
    heightSpread: 22000, // cm
    pathFullView: {
        camera: [17047, 108310, 51649],
        scene: [17463, 70736, 2942]
    },

    useTopCategories: false,
	searchByCellId: true,
    qrDarkColor: "#766B59",
    maxPOIsResults: 300,

    clockDateFormat: "ddd, D MMMM",
    clockTimeFormat: "hh:mm",
    weatherCity: "Frankston East, AU"
};

const customMainServicesCodes = ["toilets_disabled"];
const servicesWithResultsList = ["atm_", "security", "parking"];
const servicesWithResultsListSortField = "cellId";